<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				
				<h2 class="ui">Components</h2>
				<div class="home-container card mb-4 p-3">
					<h3 class="ui">Home screen</h3>
					<div class="example text-center">
						<img src="images/home.png" class="img-fluid">
						<img src="images/home-grid.png" class="img-fluid">
						<img src="images/search-bar-states.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Page:
background: Secondary accent-3;
padding: 40px 0 30px 0;
color: neutral lighten-4;

Search bar:
background: primary - dark;
padding: 15px;
border-radius: 4px;
font-size: 16px;

Active state of search bar:
background: highlight-1;

Facet button:
margin: 1%;

Button (arrow):
color: primary;
min-width: 30px;
min-height: 30px;
margin: 5px;
line-height: 0;
font-size: 16px;

Button hover:
background: default - dark;
color: primary;
border-radius: 3px;

Browse by text and line:
line: 1px solid Neutral lighten-2;
margin: 20px 0;
font-size: 13px;</code></pre>
						</div>
						<div class="col-md-6">
							Home
							<ul>
								<li>uses the fixed width container inside the full width grey bar</li>
								<li>vertically aligned middle</li>
								<li>search bar changes color when active</li>
								<li>on home screen search bar is active by default</li>
								<li>button inside input of the search bar</li>
							</ul>
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/home-facet.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Box:
padding: 20px;
background: Neutral lighten-5;
box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
margin: 10px 0 10px 0;

List items:
margin: 0;
line-height: 20px;
padding: 10px;

List item hover/active:
background: default - light;</code></pre>
						</div>
						<div class="col-md-6">
							Home - facet dropdown
							<ul>
								<li>when box opens and reaches footer, it pushes footer down and positions screen to the browse text</li>
								<li>3 column order</li>
								<li>box size aligns with search input bar width</li>
								
							</ul>
						</div>
					</div>
					<hr>
					<h4>Edge cases</h4>
					<div class="example">
						<img src="images/home-edge-lot.png" class="img-fluid">
					</div>
					<div class="example">
						<img src="images/home-edge-less.png" class="img-fluid">
					</div>
					<ul>
						<li>the position of the facet buttons (centered or left aligned) can be configured in the theme
					</ul>
					<hr>
					<h4>Mobile view</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/home-mobile.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">padding: 40px 10px 30px 10px;</code></pre>
							<ul>
								<li>everything turns to 12 col width</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/home-mobile-search.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/home-mobile-facet.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">White box:
margin: 7px 20px;</code></pre>
							<ul>
								<li>box opens under the buttons</li>
								<li>list is now in 1 column</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>